Bug 867996 - RFE: don't file xserver backtraces when nvidia is loaded
Summary: RFE: don't file xserver backtraces when nvidia is loaded
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bf97e4283ff982cab9db048a8ec...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-18 20:19 UTC by migu3l.vergara
Modified: 2013-01-12 01:18 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:17:59 UTC
Type: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.55 KB, text/plain)
2012-10-18 20:19 UTC, migu3l.vergara
no flags Details
File: xorg.conf (2.08 KB, text/plain)
2012-10-18 20:19 UTC, migu3l.vergara
no flags Details
File: Xorg.0.log (31.85 KB, text/plain)
2012-10-18 20:19 UTC, migu3l.vergara
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (494 bytes, text/plain)
2012-10-18 20:19 UTC, migu3l.vergara
no flags Details

Description migu3l.vergara 2012-10-18 20:19:03 UTC
Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
kernel:         3.6.1-1.fc17.x86_64

Comment 1 migu3l.vergara 2012-10-18 20:19:05 UTC
Created attachment 629621 [details]
File: usr_share_xorg_conf_d.tar.gz

Comment 2 migu3l.vergara 2012-10-18 20:19:07 UTC
Created attachment 629622 [details]
File: xorg.conf

Comment 3 migu3l.vergara 2012-10-18 20:19:09 UTC
Created attachment 629623 [details]
File: Xorg.0.log

Comment 4 migu3l.vergara 2012-10-18 20:19:11 UTC
Created attachment 629624 [details]
File: etc_X11_xorg_conf_d.tar.gz

Comment 5 Adam Jackson 2012-10-18 21:13:12 UTC
nvidia driver lockup, notourbug.

Can abrt please not file bugs when nvidia is loaded?

Comment 6 migu3l.vergara 2012-10-18 21:26:46 UTC
sorry. didn't know.

Comment 7 Jiri Moskovcak 2012-10-19 08:34:12 UTC
Related to rhbz#856790

- should be enough to just refuse reporting Xorg crashes when the kernel is tainted

- please don't forget to add a descriptive not_reportable reason so users are informed why ABRT is refusing to report the crash. Something like:

"This $COMPONENT crash can't be reported because your kernel is tainted ($whyis the_kernel_tainted)

Comment 8 Fedora Update System 2012-12-20 11:51:29 UTC
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18

Comment 9 Fedora Update System 2012-12-21 01:31:30 UTC
Package abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.20-1.fc18 btparser-0.24-1.fc18 libreport-2.0.20-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20725/abrt-2.0.20-1.fc18,btparser-0.24-1.fc18,libreport-2.0.20-1.fc18
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-01-12 01:18:01 UTC
abrt-2.0.20-1.fc18, btparser-0.24-1.fc18, libreport-2.0.20-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.